PostHero API

v1 Reference

PATCH/posts/:id

Update Post

Update a draft or scheduled post. Cannot update published posts.

Path Parameters

NameTypeDescription
id*stringPost ID

Body Parameters

NameTypeDescription
textstringUpdated post content
schedulestringNew schedule date (ISO 8601). Set to null to convert to draft.
platformContentobjectUpdated per-platform content
isThreadbooleanInformational. Threading is auto-detected from \n\n\n separators in the platform’s text.
mediaobjectUpdated media attachments. Includes filename (LinkedIn carousel document name) and videoTitle (LinkedIn video title) — pass an empty string to reset either back to default branding.
isAutoPlugbooleanToggle LinkedIn auto-plug on/off.
autoPlugarrayReplace the array of scheduled comments (LinkedIn only).

Request Body Example

{
  "text": "Updated post content",
  "schedule": "2025-03-16T10:00:00Z"
}

Response

200
{
  "success": true,
  "data": {
    "id": "post_abc123",
    "text": "Updated post content",
    "status": "scheduled",
    "schedule": "2025-03-16T10:00:00Z",
    "updatedAt": "2025-03-11T08:00:00Z"
  }
}